aboutsummaryrefslogtreecommitdiffstats
path: root/tools/testing/selftests/rcutorture/configs/scf/ver_functions.sh
diff options
context:
space:
mode:
authorPaul E. McKenney <paulmck@kernel.org>2020-06-24 17:57:07 -0700
committerPaul E. McKenney <paulmck@kernel.org>2020-08-24 18:38:32 -0700
commit80c9476e683ec37ba45fd8e6a5c5081bea207e1a (patch)
tree7567bc5381da749e053a7e05ef6e1368ed6d0f29 /tools/testing/selftests/rcutorture/configs/scf/ver_functions.sh
parenttorture: Declare parse-console.sh independence from rcutorture (diff)
downloadlinux-dev-80c9476e683ec37ba45fd8e6a5c5081bea207e1a.tar.xz
linux-dev-80c9476e683ec37ba45fd8e6a5c5081bea207e1a.zip
torture: Add scftorture to the rcutorture scripting
This commit updates the rcutorture scripting to include the new scftorture torture-test module. Signed-off-by: Paul E. McKenney <paulmck@kernel.org>
Diffstat (limited to '')
-rw-r--r--tools/testing/selftests/rcutorture/configs/scf/ver_functions.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/tools/testing/selftests/rcutorture/configs/scf/ver_functions.sh b/tools/testing/selftests/rcutorture/configs/scf/ver_functions.sh
new file mode 100644
index 000000000000..d3d9e35d3d55
--- /dev/null
+++ b/tools/testing/selftests/rcutorture/configs/scf/ver_functions.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+# SPDX-License-Identifier: GPL-2.0+
+#
+# Torture-suite-dependent shell functions for the rest of the scripts.
+#
+# Copyright (C) Facebook, 2020
+#
+# Authors: Paul E. McKenney <paulmck@kernel.org>
+
+# scftorture_param_onoff bootparam-string config-file
+#
+# Adds onoff scftorture module parameters to kernels having it.
+scftorture_param_onoff () {
+ if ! bootparam_hotplug_cpu "$1" && configfrag_hotplug_cpu "$2"
+ then
+ echo CPU-hotplug kernel, adding scftorture onoff. 1>&2
+ echo scftorture.onoff_interval=1000 scftorture.onoff_holdoff=30
+ fi
+}
+
+# per_version_boot_params bootparam-string config-file seconds
+#
+# Adds per-version torture-module parameters to kernels supporting them.
+per_version_boot_params () {
+ echo $1 `scftorture_param_onoff "$1" "$2"` \
+ scftorture.stat_interval=15 \
+ scftorture.shutdown_secs=$3 \
+ scftorture.verbose=1 \
+ scf
+}